کلاس آموزش طراحی سایت

چگونه php سایت خود را از طریق سی پنل ارتقا دهیم؟ (cpanel)+ویدیو

بسته به نسخه cPanel مورد استفاده خود ، از MultiPHP Manager یا PHP Selector برای تغییر نسخه PHP خود استفاده خواهید کرد. PHP Selector در حال حذف تدریجی است ، بنابراین به احتمال زیاد شما از MultiPHP Manager استفاده خواهید کرد. برای تعیین اینکه کدام یک را دارید ، باید:

  1. وارد cPanel شوید
  2. به  بخش نرم افزار بروید  . hostgator cpanel menu software
    • اگر می بینید MultiPHP Manager در cPanel شما موجود است ، باید دستورالعمل های گزینه ۱ – MultiPHP Manager زیر را دنبال کنید. میزبان میزبان MultiPHP cPanel
    • اگر هنوز  PHP Selector را در cPanel خود دارید ، که بسیاری از آنها نخواهند داشت ، می توانید دستورالعمل های گزینه ۲ – PHP Selector را در زیر دنبال کنید. انتخابگر میزبان cGanel PHP

گزینه ۱ – مدیر MultiPHP

  1. وارد cPanel شوید .
  2. در بخش نرم افزار MultiPHP Manager را انتخاب کنید  . میزبان میزبان MultiPHP cPanel
  3. دامنه مورد نظر برای به روزرسانی را با علامت زدن کادر سمت چپ آن انتخاب کنید. MultiPHP Manager دامنه را انتخاب کنید
  4. نسخه PHP دلخواه خود را از لیست کشویی انتخاب کرده و سپس روی اعمال کلیک کنید . MultiPHP Manager نسخه PHP را انتخاب کنید
  5. در گوشه بالا سمت راست یک پنجره بازشو وجود دارد که به شما اطلاع می دهد که تغییر موفقیت آمیز است. MultiPHP Manager

اگر قبلاً از  PHP Selector برای تغییر نسخه PHP خود استفاده کرده اید ، ممکن است یک دستیار در پرونده .htaccess شما وجود داشته باشد که باید مشابه این مورد حذف شود:


Use PHPedge as default
AddHandler application/x-httpd-php-edge .php
<IfModule mod_suphp.c>
    suPHP_ConfigPath /opt/phpedge/lib
</IfModule> 

برای راهنمایی های خاص در مورد نحوه رفع خطاهای ” Missing MySQL Extension ” ، لطفاً به مقاله پشتیبانی ما نحوه رفع خطا پس از به روزرسانی MultiPHP مراجعه کنید .


گزینه ۲ – PHP Selector
این غروب خورشید خواهد بود و تعداد کمی از افراد آن را در دسترس خواهند داشت.

PHP Selector در برخی از سرورهای مشترک قابل مشاهده است. اما ممکن است زمان آن فرا رسیده باشد که خیلی زود خداحافظی کنید زیرا ممکن است دیگر PHP Selector را در cPanel خود مشاهده نکنید.

PHP Selector به کاربران در سرورهای Shared و Reseller اجازه می دهد تا به راحتی یک نسخه خاص PHP را برای یک سایت فعال کنند.

  1. وارد  cPanel شوید .
  2. در بخش نرم افزار ، روی نماد PHP Selector کلیک کنید .
    cpanel php selector
  3. به فهرست وب سایتی که می خواهید PHP را به روز کنید بروید. ریشه سند برای سایت اصلی را در حساب خود را است public_html و پوشه.
    cPanel پیکربندی PHP
  4. از فهرست گشودنی ، نسخه PHP مورد نظر برای استفاده را انتخاب کرده و سپس روی Update کلیک کنید .
    cPanel نسخه PHP را انتخاب کنید
    احتیاط: اگر اسکریپت های سایت شما به عملکردهای قدیمی PHP متکی هستند ، که دیگر در آخرین نسخه پایدار مورد استفاده در سرور موجود نیستند ، ممکن است هنگام به روزرسانی خودکار PHP با مشکلات سازگاری روبرو شوید.
توجه: هنگام استفاده از PHP Selector ، به روزرسانی ها به صورت بازگشتی انجام می شوند. این بدان معناست که هر به روزرسانی که برای پوشه اعمال می کنید ، برای همه زیر شاخه ها نیز اعمال خواهد شد ، مگر اینکه بخواهید دستورالعمل دیگری را برای یکی از آن زیر شاخه ها اعمال کنید. بنابراین ، برای استفاده از نسخه PHP متفاوت برای دامنه addon ، باید ریشه سند را برای دامنه addon پیمایش کنید و نسخه مناسب PHP را انتخاب کنید.
همچنین بخوانید:   چگونه نویسندگان را به دسته خاصی در وردپرس محدود کنیم؟

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

دنبال چی میگردی؟

اگر چیزی پیدا نکردی به پشتیبانی پیام بده